FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000115FL5[All Projects] y. Generalpublic2013-07-10 09:122013-11-07 10:29
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version 
Target Version5.1Fixed in Version0.08 
Summary0000115: Use of enviroment variables to define expansion factors and other constants used for internal calculations
DescriptionDerzeit sind die Expansionsfaktoren zur Berechnung der voraussichtlichen Dateigröße pro Algorithmus hart codiert. Man könnte diese Werte über Umgebungsvariablen überschreiben, damit der User diese Werte ggf. anpassen kann. Durch zu kleine Expansionsfaktoren kann es auf der Host passieren, dass die Ausgabedatei zu klein allokiert wird und dann die expandierten Daten nicht reinpassen.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000147)
Falk Reichbott (administrator)
2013-11-07 10:29

The importent internal constants can be modified over a Environment variable. If there more variables required then a new requirement mused be issued.

Currently the list below is implemented:

 * FL_DEFAULT_ASCII_CCSID
 * FL_DEFAULT_EBCDIC_CCSID
 * FL_ICONV_MODE
 * FL_ICONV_TECHNIQUE
 * FL_PRIMARY_SPACE_TRK
 * FL_SECONDARY_SPACE_TRK
 * FL_DIRECTORY_BLOCKS
 * FL_XZ_EXPANSION_FACTOR
 * FL_XZ_COMPRESSION_FACTOR
 * FL_GZ_EXPANSION_FACTOR
 * FL_GZ_COMPRESSION_FACTOR
 * FL_BZ_EXPANSION_FACTOR
 * FL_BZ_COMPRESSION_FACTOR
 * FL_RECORD_FORMAT_MAPPING

- Issue History
Date Modified Username Field Change
2013-07-10 09:12 Falk Reichbott New Issue
2013-07-10 09:12 Falk Reichbott Status new => assigned
2013-07-10 09:12 Falk Reichbott Assigned To => Falk Reichbott
2013-10-10 10:08 Ulrich Schwab Summary Use of enviroment variables to define expansion factors and other constant used for internal calculations => Use of enviroment variables to define expansion factors and other constants used for internal calculations
2013-11-07 10:29 Falk Reichbott Note Added: 0000147
2013-11-07 10:29 Falk Reichbott Status assigned => resolved
2013-11-07 10:29 Falk Reichbott Fixed in Version => 0.08
2013-11-07 10:29 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker